# layer_pastecanvas.cpp File Reference

Implementation of the "Paste Canvas" layer. More...

`#include "layer_pastecanvas.h"`
`#include "string.h"`
`#include "time.h"`
`#include "context.h"`
`#include "paramdesc.h"`
`#include "renddesc.h"`
`#include "surface.h"`
`#include "value.h"`
`#include "valuenode.h"`
`#include "canvas.h"`

## Defines

#define | MAX_DEPTH 10
#define | SYNFIG_CLIP_PASTECANVAS

## Functions

| SYNFIG_LAYER_INIT (Layer_PasteCanvas)
| SYNFIG_LAYER_SET_NAME (Layer_PasteCanvas,"PasteCanvas")
| SYNFIG_LAYER_SET_LOCAL_NAME (Layer_PasteCanvas, N_("Paste Canvas"))
| SYNFIG_LAYER_SET_CATEGORY (Layer_PasteCanvas, N_("Other"))
| SYNFIG_LAYER_SET_VERSION (Layer_PasteCanvas,"0.1")
| SYNFIG_LAYER_SET_CVS_ID (Layer_PasteCanvas,"$Id$")

## Detailed Description

Implementation of the "Paste Canvas" layer.

$Id$

## Define Documentation

#define MAX_DEPTH 10

Referenced by synfig::Layer_PasteCanvas::accelerated_render(), synfig::Layer_PasteCanvas::get_color(), synfig::Layer_PasteCanvas::hit_check(), and synfig::Layer_PasteCanvas::set_time().

#define SYNFIG_CLIP_PASTECANVAS

## Function Documentation

SYNFIG_LAYER_INIT | ( | Layer_PasteCanvas |  | ) |

SYNFIG_LAYER_SET_NAME | ( | Layer_PasteCanvas | ,
|  | "PasteCanvas" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | Layer_PasteCanvas | ,
|  | N_("Paste Canvas") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | Layer_PasteCanvas | ,
|  | N_("Other") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | Layer_PasteCanvas | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | Layer_PasteCanvas | ,
|  | "$Id$" |  |
| ) |  |  |